I just portupgraded an instance of Mailman from 2.1b4 to 2.1.1 and, while I 
was able to set the GID without a problem (sendmail MTA), I had this response 
to both /usr/local/etc/rc.d/mailman.sh start and mailmanctl:

eris# ./mailmanctl -s start
Site list is missing: mailman

I compared the files in /usr/local/mailman/bin with another machine that's 
running 2.1b4 and I didn't find anything startlingly different --even the 
Defaults.py and mm_cfg.py files were the same.

I ftp'd the mailmanctl file from the 2.1b4 server to the server with 2.1.1 
installed, ran the mailman.sh start script and everything (appears, so far) 
to be working fine.  Just to verify that it wasn't a portupgrade issue, I 
pkg_delete'd mailman and built a fresh install; I got the same error on 
starting mailmanctl with the file from 2.1.1.

Looks like 2.1.1 has some issues, has anyone gotten it to run out-of-the-box 
from ports??

Tim Kellers
CPE/NJIT






On Tuesday 18 February 2003 08:49 am, Per olof Ljungmark wrote:
> Have Mailman/Postfix install and just tried to update from 2.1 to 2.1.1
> via ports. However, I can't set the variable "--with-mail-gid=nobody" no
> matter how I try, and this makes the mailwrapper fail as it tries to
> execute under the wrong GID.
> What am I doing wrong?
>
> Building and installing Mailman as a normal app outside the ports system
> with "--with-mail-gid=nobody" works fine.
>
> cheers,
>
> /per olof
>
>
> To Unsubscribe: send mail to [EMAIL PROTECTED]
> with "unsubscribe freebsd-questions" in the body of the message


To Unsubscribe: send mail to [EMAIL PROTECTED]
with "unsubscribe freebsd-questions" in the body of the message

Reply via email to